### Method

# AppStream Metadata set_origin

#### Declaration [src]

    void
    as_metadata_set_origin (
      AsMetadata* metad,
      const gchar* origin
    )

#### Description [src]

Set the origin of AppStream distro metadata.

#### Parameters

`origin`

  Type: `const gchar*`

  The origin of AppStream distro metadata.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.